# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
#
# Copyright 1997-2010 Oracle and/or its affiliates. All rights reserved.
#
# Oracle and Java are registered trademarks of Oracle and/or its affiliates.
# Other names may be trademarks of their respective owners.
#
# The contents of this file are subject to the terms of either the GNU
# General Public License Version 2 only ("GPL") or the Common
# Development and Distribution License("CDDL") (collectively, the
# "License"). You may not use this file except in compliance with the
# License. You can obtain a copy of the License at
# http://www.netbeans.org/cddl-gplv2.html
# or nbbuild/licenses/CDDL-GPL-2-CP. See the License for the
# specific language governing permissions and limitations under the
# License.  When distributing the software, include this License Header
# Notice in each file and include the License file at
# nbbuild/licenses/CDDL-GPL-2-CP.  Oracle designates this
# particular file as subject to the "Classpath" exception as provided
# by Oracle in the GPL Version 2 section of the License file that
# accompanied this code. If applicable, add the following below the
# License Header, with the fields enclosed by brackets [] replaced by
# your own identifying information:
# "Portions Copyrighted [year] [name of copyright owner]"
#
# Contributor(s):
#
# The Original Software is NetBeans. The Initial Developer of the Original
# Software is Sun Microsystems, Inc. Portions Copyright 1997-2009 Sun
# Microsystems, Inc. All Rights Reserved.
#
# If you wish your version of this file to be governed by only the CDDL
# or only the GPL Version 2, indicate your decision by adding
# "[Contributor] elects to include this software in this distribution
# under the [CDDL or GPL Version 2] license." If you do not indicate a
# single choice of license, a recipient has the option to distribute
# your version of this file under either the CDDL, the GPL Version 2 or
# to extend the choice of license to its licensees as provided above.
# However, if you add GPL Version 2 code and therefore, elected the GPL
# Version 2 license, then the option applies only if the new code is
# made subject to such option by the copyright holder.
OpenIDE-Module-Display-Category=JavaScript
OpenIDE-Module-Name=JavaScript2 Editor
OpenIDE-Module-Short-Description=Support for JavaScript editing

##text/x-javascript-string=JavaScript Strings
##text/x-javascript-comment=JavaScript Comments

#Templates/Other/json.json=JSON File
#Documented=(documented)
#NoDoced=(:nodoc:)
#JsLib=JavaScript Library
#In=in
#NoCommentFound=No comment found
#InvalidJsMethod={0} is a built-in method and has no JavaScript source
#NoSourceDocOnly=Cannot find the source for {0}
#FileLabel=From
#Summary=Summary
#Deprecated=Deprecated
#Parameters=Parameters
#Returns=Returns
#Throws=Throws
#CodeExample=Code Example
#Miscellaneous=Miscellaneous
#ReturnType=Return type 

## TEMPORARY -- this should be removed soon
# because the colors should be added dynamically from the infrastructure

#STRING_INVALID=Invalid String
#STRING_LITERAL=String
#STRING_ESCAPE=String Escape
#
#IDENT=Plain Comment Text
#HTML_TAG=HTML Tag
#COMMENT_TAG=JavaScript Comment Tag
#COMMENT_LINK=Link
#COMMENT_BOLD=Bold
#COMMENT_ITALIC=Italic
#OTHER_TEXT=Other Text

#mod-custom1=E4X Region
#mod-custom2=E4X Element
#mod-custom3=E4X Text
#
#NotSupportedBr=This function is not supported by the following of your targeted browsers:
#EditTargetedBrOsx=(Edit targeted browsers by choosing Preferences &gt; Miscellaneous &gt; JavaScript)
#EditTargetedBr=(Edit targeted browsers by choosing Tools &gt; Options &gt; Miscellaneous &gt; JavaScript)
#
#NoRename=Cannot rename this symbol; only parameters and local variables are allowed
#NoRenameWithErrors=Cannot rename when source contains errors
#RenameOnlyParams=Can only rename @param parameter values
#
#UnsafeIdentifierName=Only a-z, A-Z, digits and underscore are safe in identifiers
#
#FileDeleted=The file is deleted.
#
#ct_if=If (...) { }
#ct_ife=If (...) { } else { }
#ct_for=for (i = 0; i < n; i++) { }
#ct_forv=for (var v in o) { }
#ct_try=try { ... } catch (e) { }
#ct_function=/** doc */ function() { }
#ct_switch=switch (v) { case c : }

LBL_JsEditorTab=&Source

LBL_JsonEditorTab=&Source

MSG_DocNotAvailable=Documentation not found.
